.toggle-text {
    display:none;
    width:100%;
}

.toggle-text button {
    width:100%;
}

@media (max-width: 767px) {
    .mobile-text .mobile-text-content {
        max-height:100px;
        overflow-y:hidden;
        line-height: 20px;
        transition: max-height 1s;
        position: relative;
        -ms-text-overflow: ellipsis;
        text-overflow: ellipsis;
        content:"";
    }

    .mobile-text .toggle-text {
        display:block;
    }

    .mobile-text.shown .toggle-text {
        display:none;
    }

    .mobile-text:not(.shown) .mobile-text-content::before {
        content: '';
        width: 100%;
        height: 100%;
        position: absolute;
        right: 0;
        top: 0;
        background: linear-gradient(rgba(245,245,245,0) 80px, #f5f5f5);
    }

    .mobile-text.shown .mobile-text-content{
        max-height: 900px;
    }
}